<<<<<<< HEAD
<ng-container *ngIf="!loading">
  <div class="rooms-class container-fluid animated fadeIn">
    <!-- <h5 class="row text-muted">Estado de Cuartos</h5><hr class="row"> -->
    <div class="box">
        <!-- <div class="card-form">
            <i class="fa fa-bed fa-2x text-white"></i>
        </div> -->
        <div class="box-header with-border">
            <h4 class="box-title text-center">Consultar Estado de Cuartos</h4>
        </div>
        <div class="filters-class row">
            <kendo-dropdownlist
                [data]="tipoCuarto"
                [valuePrimitive]="true"
                [defaultItem]="defaultItem2"
                (valueChange)="toRoomValue($event)"
                [popupSettings]="{ height: 400 }"
                class="col-4 col-sm-3 col-md-3 col-lg-2">
            </kendo-dropdownlist>
            <kendo-dropdownlist
                [data]="status"
                [textField]="'cdesc'"
                [valueField]="'cedo'"
                [defaultItem]="defaultItem"
                (valueChange)="toStatusValue($event)"
                [popupSettings]="{ height: 400 }"
                class="col-6 col-sm-6 col-md-5 col-xl-4">
            </kendo-dropdownlist>
            <div class="col-3">
                <button (click)="printPDF()" type="button" class="btn btn-light py-2 px-4">
                    <i class="fa fa-file-pdf mr-2 text-danger"></i>PDF
                </button>
            </div>
            <kendo-grid 
                [data]="gridData" 
                [selectable]="true"
                [scrollable]="'scrollable'"
                (dataStateChange)="onGridDataStateChange($event)"
                [sort]="sort"
                [resizable]="true"
                [sortable]="true"
                class="mt-1 w-100"
                (sortChange)="sortChange($event)">
                <kendo-grid-column field="cuarto"   title="Cuarto"   width="10"></kendo-grid-column>
                <kendo-grid-column field="tcuarto"  title="Tipo"     width="10"></kendo-grid-column>
                <kendo-grid-column field="cerecep"  title="Rec."     width="10"></kendo-grid-column>
                <kendo-grid-column field="cellaves" title="A.L."     width="10"></kendo-grid-column>
                <kendo-grid-column field="cecomp"   title="Sist."    width="10"></kendo-grid-column>
                <kendo-grid-column field="cerev"    title="Rev."     width="10" [filterable]="false"></kendo-grid-column>
                <kendo-grid-column field="ceboton"  title="Bot."     width="10" [filterable]="false"></kendo-grid-column>
                <kendo-grid-column field="cnota"    title="Nota"     width="20" [filterable]="false"></kendo-grid-column>
                <kendo-grid-column field="climp"    title="Limpieza" width="10" [filterable]="false"></kendo-grid-column>
            </kendo-grid>
        </div>
        
        <!--<div class="ml-2">
                <label class="custom-control custom-checkbox">
                    <input type="checkbox" class="custom-control-input">
                    <span class="custom-control-indicator"></span>
                    <span class="custom-control-description">Incluir Fuera de Inventario</span>
                </label>
            </div>
            <div class="ml-3">
                <button (click)="search()" type="button" class="btn btn-primary py-2 px-4">
                    <i class="fa fa-search mr-3"></i>Buscar
                </button>
            </div> 
        -->
    </div>
  </div>
</ng-container>
<!-- Componente Loading que aparece mientras se cargan los datos en las grid -->
<div class="text-center mt-5" *ngIf="loading">
  <app-loading>
      <p class="mt-4">Cargando registros...</p> 
  </app-loading>
</div>
<!-- <kendo-grid 
[data]="gridData" 
[selectable]="true"
[scrollable]="'scrollable'"
[filterable]="true" 
[filter]="state.filter" 
(dataStateChange)="onGridDataStateChange($event)"
[sort]="sort"
[resizable]="true"
[sortable]="true"
class="mt-1 w-100"
(sortChange)="sortChange($event)">

</kendo-grid> -->
=======
<app-page-title [heading]="heading" [subheading]="subheading" [icon]="icon">
</app-page-title>

<div class="card">
  <div class="card-body">
    <div *ngIf="!loading">
      <kendo-grid [kendoGridBinding]="dataGrid" [selectable]="true" [resizable]="true" [navigable]="true"
        [groupable]="true" [reorderable]="true" [pageSize]="pageSize" [sortable]="true" [skip]="skip"
        [pageable]="{buttonCount: 5, pageSizes: [10, 25, 50]}" filterable="menu" style="height:79vh;" #grid>
        <ng-template kendoGridToolbarTemplate>
          <button type="button" kendoGridExcelCommand icon="file-excel">Exportar Grid</button>
        </ng-template>
        <kendo-grid-column field="cuarto" title="Cuarto" width="140">
          <ng-template kendoGridCellTemplate let-dataItem>
            <div [ngClass]="{'bg-danger text-white': dataItem.fso }">
              {{ dataItem.cuarto }}
            </div>
          </ng-template>
        </kendo-grid-column>
        <kendo-grid-column field="tcuarto" title="Tipo" width="140">
          <ng-template kendoGridFilterMenuTemplate let-column="column" let-filter="filter"
            let-filterService="filterService">
            <multicheck-filter [isPrimitive]="true" [field]="column.field" [filterService]="filterService"
              [currentFilter]="filter" [data]="distinctPrimitive(column.field)">
            </multicheck-filter>
          </ng-template>
        </kendo-grid-column>
        <kendo-grid-column field="cerecep" title="Rec." width="120" class="text-center">
          <ng-template kendoGridFilterMenuTemplate let-column="column" let-filter="filter"
            let-filterService="filterService">
            <multicheck-filter [isPrimitive]="true" [field]="column.field" [filterService]="filterService"
              [currentFilter]="filter" [data]="distinctPrimitive(column.field)">
            </multicheck-filter>
          </ng-template>
        </kendo-grid-column>
        <kendo-grid-column field="cellaves" title="A.L." width="120" class="text-center">
          <ng-template kendoGridFilterMenuTemplate let-column="column" let-filter="filter"
            let-filterService="filterService">
            <multicheck-filter [field]="column.field" textField="cdesc" valueField="cedo"
              [filterService]="filterService" [currentFilter]="filter" [data]="distinctNoPrimitive(column.field)">
            </multicheck-filter>
          </ng-template>
          <ng-template kendoGridCellTemplate let-dataItem>
            <div [ngClass]="{'bg-danger text-white': dataItem.cdisc }">
              {{ dataItem.cellaves }}
            </div>
          </ng-template>
        </kendo-grid-column>
        <kendo-grid-column field="cecomp" title="Sist." width="120" class="text-center">
          <ng-template kendoGridFilterMenuTemplate let-column="column" let-filter="filter"
            let-filterService="filterService">
            <multicheck-filter [field]="column.field" textField="cdesc" valueField="cedo"
              [filterService]="filterService" [currentFilter]="filter" [data]="distinctNoPrimitive(column.field)">
            </multicheck-filter>
          </ng-template>
          <ng-template kendoGridCellTemplate let-dataItem>
            <div [ngClass]="{
                            'bg-info': dataItem.cecomp === 'N',
                            'bg-warning': dataItem.cecomp === 'T',
                            'bg-danger text-white': dataItem.cecomp === 'C',
                            'bg-primary text-white': dataItem.cecomp === 'P'
                        }">
              {{ dataItem.cecomp }}
            </div>
          </ng-template>
        </kendo-grid-column>
        <kendo-grid-column field="cerev" title="Rev." width="100" [filterable]="false" class="text-center">
        </kendo-grid-column>
        <kendo-grid-column field="ceboton" title="Bot." width="100" [filterable]="false" class="text-center">
        </kendo-grid-column>
        <kendo-grid-column field="cnota" title="Nota" [filterable]="false" width="160"></kendo-grid-column>
        <kendo-grid-column field="climp" title="Limpieza" width="180" [filterable]="false"></kendo-grid-column>
        <kendo-grid-excel fileName="{{this.heading}}.xlsx" [fetchData]="allData"></kendo-grid-excel>
      </kendo-grid>
    </div>
    <app-loading *ngIf="loading">Cargando registros...</app-loading>
  </div>
</div>
>>>>>>> dev-alberto
